Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.wsdl
Class XMLSchemaTypeSerializer

    java.lang.Object
      org.apache.ode.bpel.compiler.wsdl.XMLSchemaTypeSerializer

All Implemented Interfaces:
  java.io.Serializable, javax.wsdl.extensions.ExtensionDeserializer, javax.wsdl.extensions.ExtensionSerializer

    public class XMLSchemaTypeSerializer

extends java.lang.Object
implements javax.wsdl.extensions.ExtensionSerializer, javax.wsdl.extensions.ExtensionDeserializer, java.io.Serializable

WSDL extension to capture (read-only) the schema type info.

See Also:
  Serialized Form

Constructor Summary
`XMLSchemaTypeSerializer()`

Method Summary
`void` | `marshall(java.lang.Class clazz, javax.xml.namespace.QName qname, javax.wsdl.extensions.ExtensibilityElement element, java.io.PrintWriter writer, javax.wsdl.Definition definition, javax.wsdl.extensions.ExtensionRegistry extensionRegistry)` Unimplemented.
`javax.wsdl.extensions.ExtensibilityElement` | `unmarshall(java.lang.Class clazz, javax.xml.namespace.QName qname, org.w3c.dom.Element element, javax.wsdl.Definition definition, javax.wsdl.extensions.ExtensionRegistry extensionRegistry)` Returns a `XMLSchemaType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSchemaTypeSerializer

    public XMLSchemaTypeSerializer()

Method Detail

### marshall

    public void marshall(java.lang.Class clazz,
                         javax.xml.namespace.QName qname,
                         javax.wsdl.extensions.ExtensibilityElement element,
                         java.io.PrintWriter writer,
                         javax.wsdl.Definition definition,
                         javax.wsdl.extensions.ExtensionRegistry extensionRegistry)
                  throws javax.wsdl.WSDLException

  Unimplemented.

  Specified by:
    `marshall` in interface `javax.wsdl.extensions.ExtensionSerializer`
  Throws:
    `javax.wsdl.WSDLException`
  See Also:
    `ExtensionSerializer.marshall(java.lang.Class, javax.xml.namespace.QName, javax.wsdl.extensions.ExtensibilityElement, java.io.PrintWriter, javax.wsdl.Definition, javax.wsdl.extensions.ExtensionRegistry)`

### unmarshall

    public javax.wsdl.extensions.ExtensibilityElement unmarshall(java.lang.Class clazz,
                                                                 javax.xml.namespace.QName qname,
                                                                 org.w3c.dom.Element element,
                                                                 javax.wsdl.Definition definition,
                                                                 javax.wsdl.extensions.ExtensionRegistry extensionRegistry)
                                                          throws javax.wsdl.WSDLException

  Returns a `XMLSchemaType`

  Specified by:
    `unmarshall` in interface `javax.wsdl.extensions.ExtensionDeserializer`
  Throws:
    `javax.wsdl.WSDLException`
  See Also:
    `ExtensionDeserializer.unmarshall(java.lang.Class, javax.xml.namespace.QName, org.w3c.dom.Element, javax.wsdl.Definition, javax.wsdl.extensions.ExtensionRegistry)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD